aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/rcS.d/150-dmraid.sh
diff options
context:
space:
mode:
Diffstat (limited to 'rc.d/rcS.d/150-dmraid.sh')
-rwxr-xr-xrc.d/rcS.d/150-dmraid.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/rc.d/rcS.d/150-dmraid.sh b/rc.d/rcS.d/150-dmraid.sh
new file mode 100755
index 00000000..f983e4e9
--- /dev/null
+++ b/rc.d/rcS.d/150-dmraid.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+[[ $(type -t strstr) = "function" ]] || . /etc/init.d/functions
+[[ $cmdline ]] || cmdline=$(cat /proc/cmdline)
+
+if ! strstr "$cmdline" nodmraid && [ -x /sbin/dmraid ]; then
+ modprobe dm-mirror >/dev/null 2>&1
+ dmraidsets=$(LC_ALL=C /sbin/dmraid -s -c -i)
+ if [ "$?" = "0" ]; then
+ for dmname in $dmraidsets; do
+ if [[ "$dmname" == isw_* ]] && \
+ ! strstr "$cmdline" noiswmd; then
+ continue
+ fi
+ /sbin/dmraid -ay -i --rm_partitions -p "$dmname" >/dev/null 2>&1
+ /sbin/kpartx -a -p p "/dev/mapper/$dmname"
+ done
+ fi
+fi
+: